// hc_score_test.go
package hc_score

import (
	"testing"
)

func TestIC(t *testing.T) {
	InitIC("m209")
	x := ScoreIC("ABCDABZ")
	if x < 0.08 {
		t.Error("IC score (~0.095) ", x)
	}
}

func TestUni(t *testing.T) {
	SCORE_INIT["UNI"]("m209") //equivalent à InitUni("m209")
	x := SCORE["UNI"]("ABCDABZ")
	if x < 20 {
		t.Error("UNI score ", x)
	}
}

func TestBig(t *testing.T) {
	InitBig("m209")
	x := SCORE["BIG"]("ABCDABZ")
	if x < 20 {
		t.Error("BIG score ", x)
	}
}

func TestTri(t *testing.T) {
    SCORE_INIT["TRI"]("m209")

	x := SCORE["TRI"]("ABCDABZ")
	if x > 7. && x < 5. {
		t.Error("BIG score ", x)
	}
}

func TestQua(t *testing.T) {
    SCORE_INIT["QUA"]("test")

/*
    for cle, valeur := range lesQua {
          t.Error(">>>", cle, valeur)
    }
*/
  
    SCORE_INIT["QUA"]("m209")

    x := SCORE["QUA"]("ABCTISFDADZREBZ")
	if x > 7. && x < 9. {
        t.Error("QUA score ", x)
    }
}
